class CountStack extends Stack {

	int counter;

	CountStack(int size) {
		super(size);
		this.counter = 0;
	}

	// Ueberschreiben
	boolean push(int value) {
		if (super.push(value)) {
			this.counter++;
			return true;
		} else {
			return false;
		}
	}

	int getNumberOfValidPushOperations() {
		return this.counter;
	}

}

public class UE13Aufgabe3 {

	// Testprogramm
	public static void main(String[] args) {
		CountStack stack = new CountStack(4);
		while (!stack.isFull()) {
			stack.push(IO.readInt("Eingabe: "));
		}
		stack.push(47);
		while (!stack.isEmpty()) {
			System.out.println(stack.pop());
		}
		while (!stack.isFull()) {
			stack.push(IO.readInt("Eingabe: "));
		}
		System.out.println(stack.getNumberOfValidPushOperations());
		// Ausgabe sollte 8 sein!
	}

}
